Markdent::Role::BlockParser(3pm)

NAME
Markdent::Role::BlockParser - A role for block parsers

VERSION
version 0.40

DESCRIPTION
This role implements behavior shared by all block parsers.

REQUIRED METHODS

•   $parse->parse_document(\$text)

    This method takes a scalar reference to a markdown document and parses it for block-level markup.

ATTRIBUTES
This roles provides the following attributes:

  _span_parser
This is a read-only attribute. It is an object which does the Markdent::Role::SpanParser role.

This is required for all block parsers.

ROLES
This role does the Markdent::Role::AnyParser and Markdent::Role::DebugPrinter roles.

BUGS
See Markdent for bug reporting details.

Bugs may be submitted at <https://github.com/houseabsolute/Markdent/issues>.

I am also usually active on IRC as 'autarch' on "irc://irc.perl.org".

SOURCE
The source code repository for Markdent can be found at <https://github.com/houseabsolute/Markdent>.

AUTHOR
Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2021 by Dave Rolsky.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

The full text of the license can be found in the LICENSE file included with this distribution.